summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Meckafett <thumpadoodle@hotmail.com>2010-05-11 15:18:44 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:18:44 +0200
commitfd91bce7f74c4f7cfcd89ee4dde976988d40292c (patch)
tree1bf4cf06b5d8fa7ace253ce3fea4e771139d75fe
parent728f17945e7363d9d693f76753598f355c91167e (diff)
downloadslackbuilds-fd91bce7f74c4f7cfcd89ee4dde976988d40292c.tar.gz
slackbuilds-fd91bce7f74c4f7cfcd89ee4dde976988d40292c.tar.xz
system/rxvt-unicode: Initial import
-rw-r--r--system/rxvt-unicode/README5
-rw-r--r--system/rxvt-unicode/rxvt-unicode.SlackBuild64
-rw-r--r--system/rxvt-unicode/rxvt-unicode.info8
-rw-r--r--system/rxvt-unicode/slack-desc19
4 files changed, 96 insertions, 0 deletions
diff --git a/system/rxvt-unicode/README b/system/rxvt-unicode/README
new file mode 100644
index 0000000000..737fc94be4
--- /dev/null
+++ b/system/rxvt-unicode/README
@@ -0,0 +1,5 @@
+rxvt-unicode is a clone of the well known terminal emulator rxvt
+modified to store text in Unicode and to use locale-correct input
+and output. It also supports mixing multiple fonts at the same time,
+including Xft fonts, real transparency, and an optional embedded
+Perl interpreter that allows you to extend your terminal easily.
diff --git a/system/rxvt-unicode/rxvt-unicode.SlackBuild b/system/rxvt-unicode/rxvt-unicode.SlackBuild
new file mode 100644
index 0000000000..ca871e0abf
--- /dev/null
+++ b/system/rxvt-unicode/rxvt-unicode.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for rxvt-unicode
+# Written by Meckafett thumpadoodle@hotmail.com
+
+set -e
+
+PRGNAM=rxvt-unicode
+VERSION=8.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+DOCS="COPYING Changes INSTALL MANIFEST README.FAQ README.configure"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+# --enable-unicode3
+# --enable-ttygid
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/rxvt-unicode/rxvt-unicode.info b/system/rxvt-unicode/rxvt-unicode.info
new file mode 100644
index 0000000000..9a2144d9d9
--- /dev/null
+++ b/system/rxvt-unicode/rxvt-unicode.info
@@ -0,0 +1,8 @@
+PRGNAM="rxvt-unicode"
+VERSION="8.2"
+HOMEPAGE="http://software.schmorp.de/pkg/rxvt-unicode"
+DOWNLOAD="http://dist.schmorp.de/rxvt-unicode/rxvt-unicode-8.2.tar.bz2"
+MD5SUM="7876a1e2a82794c5ebbea8791561daba"
+MAINTAINER="Meckafett"
+EMAIL="thumpadoodle@hotmail.com"
+APPROVED="BP{k}"
diff --git a/system/rxvt-unicode/slack-desc b/system/rxvt-unicode/slack-desc
new file mode 100644
index 0000000000..886de601c5
--- /dev/null
+++ b/system/rxvt-unicode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+rxvt-unicode: rxvt-unicode (urxvt): a VT102 emulator for the X window system
+rxvt-unicode:
+rxvt-unicode: rxvt-unicode is a clone of the well known terminal emulator rxvt
+rxvt-unicode: modified to store text in Unicode and to use locale-correct input
+rxvt-unicode: and output. It also supports mixing multiple fonts at the same
+rxvt-unicode: time including Xft fonts, real transparency, and an optional
+rxvt-unicode: embedded Perl interpreter that allows you to extend your terminal
+rxvt-unicode: easily.
+rxvt-unicode:
+rxvt-unicode: Homepage: http://software.schmorp.de/pkg/rxvt-unicode
+rxvt-unicode: